## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global giturl  https://github.com/documatt/sphinx-reredirects

Name:           python-sphinx-reredirects
Version:        1.0.0
Release:        %autorelease
Summary:        Handle redirects for moved pages in Sphinx documentation

License:        MIT
URL:            https://documatt.com/sphinx-reredirects/
VCS:            git:%{giturl}.git
Source:         %{giturl}/archive/v%{version}/sphinx-reredirects-%{version}.tar.gz

BuildArch:      noarch
BuildSystem:    pyproject
BuildOption(install): -l sphinx_reredirects

BuildRequires:  %{py3_dist pytest}

%global _description %{expand:
Sphinx-reredirects is the extension for Sphinx documentation projects
that handles redirects for moved pages.  It generates HTML pages with
meta refresh redirects to the new page location to prevent 404 errors if
you rename or move your documents.}

%description %_description

%package     -n python3-sphinx-reredirects
Summary:        Handle redirects for moved pages in Sphinx documentation
# See https://pagure.io/packaging-committee/issue/1312.
# A duplicate python3-sphinx_reredirects was created that conflicts with this one.
# We Obsolete the duplicate and add Provides for python3-sphinx_reredirects to
# make this one easier to find.
%py_provides    python3-sphinx_reredirects
# This can be removed when F42 reaches EOL
Obsoletes:      python3-sphinx_reredirects < 0.1.2-3

# This can be removed when F46 reaches EOL
Obsoletes:      python3-sphinx-reredirects-doc < 1.0.0
Provides:       python3-sphinx-reredirects-doc = %{version}-%{release}

%description -n python3-sphinx-reredirects %_description

%check
# test_linkcheck attempts to access the network
%pytest -k 'not test_linkcheck'

%files -n python3-sphinx-reredirects -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sat May 31 2025 Jerry James <loganjerry@gmail.com> - 1.0.0-1
- Version 1.0.0
- Use the pyproject declarative buildsystem
- Stop building documentation, which now requires use of a bundled sphinx
  theme with an unknown license

* Sat Mar 22 2025 Jerry James <loganjerry@gmail.com> - 0.1.6-1
- Version 0.1.6
- License change from BSD-3-Clause to MIT

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 15 2025 Jerry James <loganjerry@gmail.com> - 0.1.5-3
- Assert that a license file is installed

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Jerry James <loganjerry@gmail.com> - 0.1.5-1
- Version 0.1.5

* Fri Jun 21 2024 Jerry James <loganjerry@gmail.com> - 0.1.4-1
- Version 0.1.4

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.1.3-5
- Rebuilt for Python 3.13

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.1.3-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov  3 2023 Jerry James <loganjerry@gmail.com> - 0.1.3-1
- Version 0.1.3
- New project URLs

* Mon Oct 16 2023 Maxwell G <maxwell@gtmx.me> - 0.1.2-4
- Obsolete duplicate python3-sphinx_reredirects package

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.1.2-2
- Rebuilt for Python 3.12

* Thu May 18 2023 Jerry James <loganjerry@gmail.com> - 0.1.2-1
- Version 0.1.2

* Thu Feb 23 2023 Jerry James <loganjerry@gmail.com> - 0.1.1-2
- Dynamically generate BuildRequires

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 24 2022 Jerry James <loganjerry@gmail.com> - 0.1.1-1
- Initial RPM

## END: Generated by rpmautospec
